Bug 81073 - Addition of text zoom levels to print preview zoom drop down
Summary: Addition of text zoom levels to print preview zoom drop down
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium enhancement
Assignee: Rishabh
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: Writer-Toolbar-PrintPreview Zoom-Issues
  Show dependency treegraph
 
Reported: 2014-07-09 02:37 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-31 06:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Using SvxZoomItem instead of SfxUInt16Item to include Zoom Type (20.34 KB, patch)
2015-02-03 10:23 UTC, Rishabh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-07-09 02:37:09 UTC
Presently the zoom drop down only has 25, 50, 75, 100, 150 and 200 percent, while View > Zoom also contains entire page, page width, and optimal view.
Comment 1 Cor Nouws 2014-07-09 07:50:46 UTC
Nice addition - thanks :)
Comment 2 Rishabh 2015-02-03 10:23:14 UTC
Created attachment 113085 [details]
Using SvxZoomItem instead of SfxUInt16Item to include Zoom Type

It uses SvxZoomItem (a class derived from SfxUInt16Item) to enable the 3 required ZoomTypes in the dropdown created by View -> Zoom
Comment 3 Yousuf Philips (jay) (retired) 2015-02-03 13:28:51 UTC
Thanks Rishabh for uploaded what i'm assuming is the patched file to solve the problem. Is the file uploaded ./sw/source/uibase/ribbar/workctrl.cxx?

Do you know how to set the patch through git and gerrit?
Have you submitted a license statement?

If the answer to any of the above two questions is no, it would be useful to go to the links below for further information.

https://wiki.documentfoundation.org/Development/Git_For_LibreOffice_Developers
https://wiki.documentfoundation.org/Development/gerrit
https://wiki.documentfoundation.org/Development/Developers
Comment 4 Rishabh 2015-02-03 14:46:03 UTC
Yes it is intended for sw/source/uibsase/ribbar/workctrl.cxx .Thanks for guiding me as this is my first patch to libreoffice
Comment 5 Yousuf Philips (jay) (retired) 2015-02-04 00:08:12 UTC
Congrats and look forward to seeing your patch added to gerrit. When you are creating the commit message for this patch, start it off with 'fdo#81073' so that it gets referenced to this bug.
Comment 6 Rishabh 2015-02-08 08:02:16 UTC
pushed the changes. Sorry for being late.
Comment 7 Rishabh 2015-02-08 09:38:30 UTC
The build fails on mac-os and windows. Any suggestions for debugging?
Comment 8 Yousuf Philips (jay) (retired) 2015-02-08 14:01:08 UTC
I checked your patch at gerrit - https://gerrit.libreoffice.org/#/c/14365/ - and i've had patches that also claim to have failed the automatic build (e.g. https://gerrit.libreoffice.org/#/c/14311/) wherein i only changed a text label, so i wouldnt think to much of that error.

So all you need to do is fix up your commit message as Adolfo suggested and then i think the patch will get through.
Comment 9 Adolfo Jayme 2015-02-09 04:50:29 UTC
(In reply to Rishabh from comment #7)
> The build fails on mac-os and windows. Any suggestions for debugging?

Don’t worry too much about Jenkins right now – if you have tested your change locally, and LibreOffice builds fine with it, then it’s fine. Jenkins is mostly to ensure that big changes do not break the CI process and master is always buildable.

You can ask questions in our development list: libreoffice at lists.freedesktop.org.
Comment 10 Rishabh 2015-02-13 22:38:42 UTC
Pushed the changes. Up for the review
Comment 11 Yousuf Philips (jay) (retired) 2015-02-14 19:17:26 UTC
Seems you have pushed 4 different patches, so firstly it would be good to cancel the other 3 by setting them as 'Abandon', and you should be aware that you can amend your patch when you make changes to it, so that it isnt submit as another patch. You can do this with 'git commit --amend'.
Comment 12 Rishabh 2015-02-14 19:37:33 UTC
I have abandoned the previous 3 patches. I am still learning git .
Comment 13 Commit Notification 2015-03-26 14:59:22 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97f08e0632b2a947848223f862dd89a36386cb71

tdf#81073 :Addition of text zoom levels to print preview zoom

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.